Package ghidra.features.bsim.query.protocol

# Class QueryVectorMatch

java.lang.Object
ghidra.features.bsim.query.protocol.BSimQuery<ResponseVectorMatch>
ghidra.features.bsim.query.protocol.QueryVectorMatch

public class QueryVectorMatch extends BSimQuery<ResponseVectorMatch>
Request all functions described by a particular feature vector. Vectors are specified by a known id, and multiple vectors can be specified at once.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `BSimFilter`
  `bsimFilter`
  `static final int`
  `DEFAULT_MAX_FUNCTIONS`
  `boolean`
  `fillinCategories`
  `ResponseVectorMatch`
  `matchresponse`
  `int`
  `max`
  `List<Long>`
  `vectorIds`

  ### Fields inherited from class ghidra.features.bsim.query.protocol.BSimQuery

  `name, response`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `QueryVectorMatch()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `buildResponseTemplate()`
  `void`
  `restoreXml(XmlPullParser parser, LSHVectorFactory vectorFactory)`
  `void`
  `saveXml(Writer fwrite)`

  ### Methods inherited from class ghidra.features.bsim.query.protocol.BSimQuery

  `clearResponse, execute, getDescriptionManager, getLocalStagingCopy, getName, getResponse, restoreQuery`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_MAX_FUNCTIONS

    public static final int DEFAULT_MAX_FUNCTIONS
    See Also:
      - Constant Field Values

  - ### matchresponse

    public ResponseVectorMatch matchresponse

  - ### max

    public int max

  - ### fillinCategories

    public boolean fillinCategories

  - ### bsimFilter

    public BSimFilter bsimFilter

  - ### vectorIds

    public List<Long> vectorIds

- ## Constructor Details

  - ### QueryVectorMatch

    public QueryVectorMatch()

- ## Method Details

  - ### buildResponseTemplate

    public void buildResponseTemplate()
    Overrides:
      `buildResponseTemplate` in class `BSimQuery<ResponseVectorMatch>`

  - ### saveXml

    public void saveXml(Writer fwrite) throws IOException
    Specified by:
      `saveXml` in class `BSimQuery<ResponseVectorMatch>`
    Throws:
      `IOException`

  - ### restoreXml

    public void restoreXml(XmlPullParser parser, LSHVectorFactory vectorFactory) throws LSHException
    Specified by:
      `restoreXml` in class `BSimQuery<ResponseVectorMatch>`
    Throws:
      `LSHException`